System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

Every thread has a base-priority level determined by the thread's priority value and the priority class of its process. The operating system uses the base-priority level of all executable threads to determine which thread gets the next slice of processor time.

The priority level is not an absolute value, but instead is a range of priority values. The operating system computes the priority by using the process priority class to determine where, in the range specified by the property, to set the thread's priority.

Specifies the priority level of a thread.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadPriorityLevel To be added

  Specifies one step above the normal priority for the associated .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadPriorityLevel To be added

  Specifies one step below the normal priority for the associated .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadPriorityLevel To be added

  Specifies highest priority. This is two steps above the normal priority for the associated .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadPriorityLevel To be added

  Specifies idle priority. This is the lowest possible priority value of all threads, independent of the value of the associated .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadPriorityLevel To be added

  Specifies lowest priority. This is two steps below the normal priority for the associated .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadPriorityLevel To be added

  Specifies normal priority for the associated .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.ThreadPriorityLevel To be added

  Specifies time-critical priority. This is the highest priority of all threads, independent of the value of the associated .